# Class pyglet.gl.glu_info.GLUInfo

Information interface for the GLU library.

A default instance is created automatically when the first OpenGL context is created. You can use the module functions as a convenience for this default instance's methods.

If you are using more than one context, you must call set_active_context when the context is active for this GLUInfo instance.

## Methods

| set_active_context(self) Store information for the currently active context.
bool | have_version(self, major, minor=0, release=0) Determine if a version of GLU is supported.
str | get_version(self) Get the current GLU version.
bool | have_extension(self, extension) Determine if a GLU extension is available.
list of str | get_extensions(self) Get a list of available GLU extensions.

## Class Variables

| have_context = `False`
| version = ``'``0.0.0``'``
| extensions = ``[``]``

## Method Details

### set_active_context

set_active_context(self)

Store information for the currently active context.

This method is called automatically for the default context.

### have_version

have_version(self, major, minor=0, release=0)
Determine if a version of GLU is supported.

Parameters:
  major : int
    The major revision number (typically 1).
  minor : int
    The minor revision number.
  release : int
    The release number.
Returns:
  bool: True if the requested or a later version is supported.

### get_version

get_version(self)
Get the current GLU version.

Returns:
  str: the GLU version

### have_extension

have_extension(self, extension)
Determine if a GLU extension is available.

Parameters:
  extension : str
    The name of the extension to test for, including its `GLU_` prefix.
Returns:
  bool: True if the extension is provided by the implementation.

### get_extensions

get_extensions(self)
Get a list of available GLU extensions.

Returns:
  list of str: a list of the available extensions.